import eslintPluginAstro from "eslint-plugin-astro";
import typescriptEslint from "typescript-eslint";

export default [
    {
        ignores: [
            "**/dist/*",
            "**/result/*",
            "**/node_modules/*"
        ]
    },
    ...typescriptEslint.configs.recommended,
    ...eslintPluginAstro.configs.recommended,
    {
        rules: {
            quotes: ["error", "double"],
            semi: ["error", "always"],
            
            "@typescript-eslint/no-unused-vars": [
                "error",
                {
                    varsIgnorePattern: "^_",
                    argsIgnorePattern: "^_"
                }
            ]
        },
    }
];